#
# spec file for package mailnagc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mailnag
Version:        1.2.0
Release:        2.2
Summary:        Mail notification daemon
License:        GPL-2.0
Group:          Productivity/Networking/Email/Utilities
Url:            https://github.com/pulb/mailnag
Source:         https://github.com/pulb/mailnag/archive/v%{version}.tar.gz
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
BuildRequires:  gettext
BuildRequires:  python-devel
Requires:       dbus-1-python
Requires:       gnome-keyring
Requires:       python-gst
Requires:       python-notify
Requires:       python-gobject2
Requires:       python-pyxdg
Requires:       python
BuildArch:      noarch

%description
Mailnag checks POP3 and IMAP servers for new mail and when it finds one
creates a proper GNOME 3 notification that mentions sender and subject.

%prep
%setup -q

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%suse_update_desktop_file mailnag-config -r Network Email

%find_lang %{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS LICENSE NEWS README.md
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{python_sitelib}/Mailnag
%{python_sitelib}/%{name}-%{version}-*.egg-info
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/%{name}*png

%changelog
* Sun May 22 2016 mailaender@opensuse.org
- initial packaging of version 1.2.0
